# $Revision: 1.55 $, $Date: 2002/11/17 22:18:08 $
Summary:	Portable Windows Libary
Summary(pl):	Przenona biblioteka okienkowa
Summary(pt_BR):	Biblioteca Windows Portavel
Name:		pwlib
Version:	1.4.4
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://www.openh323.org/bin/%{name}_%{version}.tar.gz
Patch0:		%{name}-mak_files.patch
Patch1:		%{name}-libname.patch
Patch2:		%{name}-EOF.patch
URL:		http://www.openh323.org/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	expat-devel
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel >= 0.9.6a
BuildRequires:	sed
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PWLib is a moderately large class library that has its genesis many
years ago as a method to product applications to run on both Microsoft
Windows and Unix X Window systems. It also was to have a Macintosh
port as well but this never eventuated. Unfortunately this package
contains no GUI code.

%description -l pl
PWLib to dosy dua biblioteka klas, ktra wywodzi si ze sposobu na
tworzenie aplikacji dziaajcych zarwno pod Microsoft Windows jak i
uniksowych X Window. Miaa te mie port na Macintosha. Ten pakiet nie
zawiera kodu GUI.

%description -l pt_BR
PWLib e uma biblioteca de classes razoavelmente grande que teve seu
inicio ha alguns anos atras como um metodo para produzir aplicacoes
para serem executadas tanto em Windows quanto em sitemas Unix baseados
em X-Window. Tambem possui um porte para Macintosh mas nunca foi
terminado. Esta versao nao contem nenhum codigo para interface.

%package devel
Summary:	Portable Windows Libary development files
Summary(pl):	Pliki dla developerw pwlib
Summary(pt_BR):	Pacote de desenvolvimento para a pwlib
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	openssl-devel
Requires:	expat-devel

%description devel
Header files and libraries for developing applications that use pwlib.

%description devel -l pl
Pliki nagwkowe i biblioteki konieczne do rozwoju aplikacji
uywajcych pwlib.

%description devel -l pt_BR
O pacote pwlib-devel inclui as bibliotecas e arquivos de header para a
biblioteca pwlib.

%package static
Summary:	Portable Windows Libary static libraries
Summary(pl):	Biblioteki statyczne pwlib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
pwlib static libraries.

%description static -l pl
Biblioteki statyczne pwlib.

%prep
%setup -qn %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
PWLIBDIR=`pwd`; export PWLIBDIR
PWLIB_BUILD="yes"; export PWLIB_BUILD
%{__make} %{?debug:debugshared}%{!?debug:optshared} \
	CC=%{__cc} CPLUS=%{__cxx} \
	OPTCCFLAGS="%{!?debug:$RPM_OPT_FLAGS}" 

%{__make} -C tools/asnparser \
	%{?debug:debugshared}%{!?debug:optshared} \
	CC=%{__cc} CPLUS=%{__cxx} \
	OPTCCFLAGS="%{!?debug:$RPM_OPT_FLAGS}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}/{ptclib,ptlib/unix/ptlib},%{_bindir},%{_datadir}/%{name}}

#using cp as install won't preserve links
cp -d lib/lib* $RPM_BUILD_ROOT%{_libdir}
install version.h $RPM_BUILD_ROOT%{_includedir}/ptlib
install include/*.h $RPM_BUILD_ROOT%{_includedir}
install include/ptclib/*.h $RPM_BUILD_ROOT%{_includedir}/ptclib
install include/ptlib/*.h $RPM_BUILD_ROOT%{_includedir}/ptlib
install include/ptlib/*.inl $RPM_BUILD_ROOT%{_includedir}/ptlib
install include/ptlib/unix/ptlib/*.h $RPM_BUILD_ROOT%{_includedir}/ptlib/unix/ptlib
install include/ptlib/unix/ptlib/*.inl $RPM_BUILD_ROOT%{_includedir}/ptlib/unix/ptlib
install tools/asnparser/obj_linux_*/asnparser $RPM_BUILD_ROOT%{_bindir}

cd make
for l in *.mak ; do
	sed -e 's#@prefix@#%{_prefix}#' \
	    -e 's#@makdir@#%{_datadir}/pwlib#' \
		< $l > $RPM_BUILD_ROOT%{_datadir}/%{name}/$l
done

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc *.txt
%{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/*
%attr(755,root,root) %{_libdir}/*.so
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: pwlib.spec,v $
Revision 1.55  2002/11/17 22:18:08  marcus
- updated to 1.4.4

Revision 1.54  2002/11/13 20:30:06  aflinta
- updated to version 1.4.3

Revision 1.53  2002/10/28 09:12:45  marcus
- updated to 1.4.0

Revision 1.52  2002/10/24 10:42:01  aflinta
- updated to version 1.3.11

Revision 1.51  2002/10/16 19:40:32  aflinta
- updated to version 1.3.10

Revision 1.50  2002/09/29 16:41:04  klakier
- removed 116.patch - it breaks dsp detection
- STBR

Revision 1.49  2002/09/25 23:09:36  aflinta
- updated to version 1.3.8

Revision 1.48  2002/09/18 15:14:58  aflinta
- updated to version 1.3.7

Revision 1.47  2002/08/03 22:07:21  klakier
- ver 1.3.4

Revision 1.46  2002/08/03 21:20:51  klakier
- ver 1.3.3

Revision 1.45  2002/07/09 15:34:10  marcus
- updated to 1.3.2

Revision 1.44  2002/06/02 13:30:29  aflinta
- updated to version 1.2.19
- removed video patch which is now included in sources

Revision 1.43  2002/04/12 20:40:58  mmazur
- finally works like supposed to; rel 3; STBR

Revision 1.42  2002/04/11 18:40:59  kloczek
- merge translations from Conectiva and adapterize spec file.

Revision 1.41  2002/04/11 18:23:48  misiek
- use __cc and __cxx

Revision 1.40  2002/04/11 18:17:58  mmazur
- rel 2; STBR

Revision 1.39  2002/04/09 22:12:26  mmazur
- added flex to BR

Revision 1.38  2002/04/06 22:45:00  mmazur
- added a patch from gnomemeeting.org... Not one failed hunk, though
I would wait till somebody really needs it - we are going stable aren't we :)
- NOTE: after rebuilding pwlib one needs to rebuild openh323 with the new
pwlib for the changes to take effect

Revision 1.37  2002/04/05 19:56:54  mmazur
- merged with DEVEL; updated to 1.2.13; rel1; STBR

Revision 1.36.2.2  2002/03/27 10:45:43  mmazur
- my mistake... this should go for ra/test not nest... kicked gcc2

Revision 1.36.2.1  2002/03/25 20:27:14  mmazur
- well... rel1 for version .13... STBR for NEST if you dare (should I
add gcc2 to BR?)

Revision 1.36  2002/03/14 17:51:17  martii
-  EOF patch - ppc adapted

Revision 1.35  2002/02/23 04:25:50  kloczek
- adapterized.

Revision 1.34  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.33  2002/01/18 02:14:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.32  2002/01/17 02:41:01  kloczek
- updated to 1.2.11 (bugfix release).

Revision 1.31  2002/01/11 10:29:11  qboosh
- adapterized, base pl description; release 3

Revision 1.30  2002/01/10 00:55:46  kloczek
- !sort BuildRequires rules.

Revision 1.29  2002/01/09 00:38:37  misiek
- missing requires in devel subpackages

Revision 1.28  2002/01/08 20:45:48  misiek
- snd detection fix

Revision 1.27  2002/01/08 18:13:55  misiek
- link with expat, too; release 2

Revision 1.26  2002/01/07 23:50:39  misiek
- updated to 1.2.9

Revision 1.25  2001/11/10 18:18:04  kloczek
- updated to 1.2.4.

Revision 1.24  2001/08/31 19:37:21  kloczek
- release 2,
- link library with libstsdc++,
- compile all C++ code with -fno-rtti -fno-exceptions (~40% smaller binaries),
- do not include SONAME symlink in %files.

Revision 1.23  2001/08/16 23:34:14  kloczek
- updated to 1.1.36.

Revision 1.22  2001/08/09 08:45:54  jajcus
- Version: 1.1.35

Revision 1.21  2001/07/15 04:35:17  kloczek
- release 2,
- added missing BuildRequires for openssl-devel,
- rebuild on openssl 0.9.6a.

Revision 1.20  2001/07/13 09:49:59  kloczek
- updated to 1.1.34.

Revision 1.19  2001/07/05 07:06:07  kloczek
- spec adapterized.

Revision 1.18  2001/07/04 17:14:28  jajcus
- Version: 1.1.33

Revision 1.17  2001/07/04 14:50:45  jajcus
- version 1.1.31 (may be net the latest, I made this spec a month ago)

Revision 1.16  2001/05/11 16:21:47  kloczek
- release 5.

Revision 1.15  2001/05/11 16:00:17  mis
- fixed %files

Revision 1.14  2001/01/17 12:39:20  kloczek
- fixed %install for non-x86 archs.

Revision 1.13  2001/01/17 11:09:58  kloczek
- release 4.

Revision 1.12  2001/01/17 08:35:29  qboosh
- s/X-Windows/X Window/

Revision 1.11  2001/01/11 21:42:36  waszi

- fixed sed invocation

Revision 1.10  2001/01/11 14:36:57  jajcus
- some typos

Revision 1.9  2001/01/10 14:53:33  jajcus
- %%{debug} switch handling fixed

Revision 1.8  2001/01/10 14:48:15  jajcus
- Release: 3
- library names changed (we don't need sytem type and such in library name)
- *.mak files changed so apps compilations won't try to build pwlib
- %%{debug} macro used together with pwlib's building system
- only dynamically-linked version of asnparser is built

Revision 1.7  2001/01/08 09:50:13  kloczek
- release 2.

Revision 1.6  2001/01/06 11:08:13  jajcus
- these are not X11 libraries

Revision 1.5  2001/01/04 19:50:01  kloczek
- small simplifications in %install.

Revision 1.4  2001/01/04 19:31:42  jajcus
- prefix changed to /usr, as the sources don't contain any GUI code

Revision 1.3  2001/01/04 12:48:11  jajcus
- while installing update *.mak files

Revision 1.2  2001/01/04 10:40:49  jajcus
- *.mak files are needed in -devel package

Revision 1.1  2001/01/04 09:46:14  jajcus
- initial spec
